# Get supported chains (GET /supported_chains)

Operation `get_supported_chains` of the Uniswap API. Base URL: `https://trade-api.gateway.uniswap.org/v1`.

Returns the list of chains supported by the Trading API, including protocol contract addresses and the protocols and actions available on each chain.

Parameters: 1 header · Auth: apiKey · Responses: 200, 401, 429, 500, 504

## Headers

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `x-api-key` | string | yes | Your API key for authentication. |

## Responses

- `200` — Get supported chains successful.
- `401` — UnauthorizedError eg. Account is blocked.
- `429` — Ratelimited
- `500` — Unexpected error
- `504` — Request duration limit reached.

Interactive playground: https://developers.uniswap.org/docs/api-reference/get_supported_chains
All endpoints: https://developers.uniswap.org/docs/api-reference
